/***文档注释***********************************************
 * 作者               :                   易鑫
 * 创建日期      :                   2017.12.6
 * 描述               :        			 返回操作结果
 * 注意事项      :                   无
 * 遗留BUG :                   无
 * 修改日期      :                   
 * 修改人员      :                   
 * 修改内容      :                   
***********************************************************/
package market.Com.vo;

/**
 * 返回操作结果
 * */
public class ResultModel {
	
	public ResultModel(){}

	/**
	 * 初始化 state、msgInfo 
	 * @param state
	 * @param msgInfo
	 */
	public ResultModel(String state,String msgInfo){
		this.state=state;
		this.msgInfo=msgInfo;
	}
	
	/**
	 * 200正确请求
	 * 500错误
	 * */
	private String state;
	public void setState(String state) {
		this.state = state;
	}
	public String getState() {
		return state;
	}
	
	//返回的信息
	private String msgInfo;
	public void setMsgInfo(String msgInfo) {
		this.msgInfo = msgInfo;
	}
	public String getMsgInfo() {
		return msgInfo;
	}
	
	//数据
	private Object data;
	public void setData(Object data) {
		this.data = data;
	}
	public Object getData() {
		return data;
	}
	
	private String errorInfo;
	public String getErrorInfo() {
		return errorInfo;
	}
	public void setErrorInfo(String errorInfo) {
		this.errorInfo = errorInfo;
	}

	
}
